org.apache.xmlbeans.impl.inst2xsd.util

## Class Element

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.util.Element

-     public class Element
      extends Object

  Author:
    Cezar Andrei (cezar.andrei at bea.com) Date: Jul 16, 2004

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNBOUNDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComment()`
    `int` | `getMaxOccurs()`
    `int` | `getMinOccurs()`
    `QName` | `getName()`
    `Element` | `getRef()`
    `Type` | `getType()`
    `boolean` | `isGlobal()`
    `boolean` | `isNillable()`
    `boolean` | `isRef()`
    `void` | `setComment(String comment)`
    `void` | `setGlobal(boolean isGlobal)`
    `void` | `setMaxOccurs(int maxOccurs)`
    `void` | `setMinOccurs(int minOccurs)`
    `void` | `setName(QName name)`
    `void` | `setNillable(boolean isNillable)`
    `void` | `setRef(Element ref)`
    `void` | `setType(Type type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNBOUNDED

          public static final int UNBOUNDED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Element

          public Element()

  - ### Method Detail

    - #### getName

          public QName getName()

    - #### setName

          public void setName(QName name)

    - #### isRef

          public boolean isRef()

    - #### getRef

          public Element getRef()

    - #### setRef

          public void setRef(Element ref)

    - #### isGlobal

          public boolean isGlobal()

    - #### setGlobal

          public void setGlobal(boolean isGlobal)

    - #### getMinOccurs

          public int getMinOccurs()

    - #### setMinOccurs

          public void setMinOccurs(int minOccurs)

    - #### getMaxOccurs

          public int getMaxOccurs()

    - #### setMaxOccurs

          public void setMaxOccurs(int maxOccurs)

    - #### isNillable

          public boolean isNillable()

    - #### setNillable

          public void setNillable(boolean isNillable)

    - #### getType

          public Type getType()

    - #### setType

          public void setType(Type type)

    - #### getComment

          public String getComment()

    - #### setComment

          public void setComment(String comment)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`